#ifndef __NLL_FILEID_H_INCLUDED__
#define __NLL_FILEID_H_INCLUDED__

typedef int fileid_id_t;

int fileid_init(void);
int fileid_done(void);
int fileid_check(void);
FILE *fileid_get_fp(fileid_id_t id);
int fileid_set_fp(fileid_id_t id, FILE *fp);
int fileid_destroy(fileid_id_t id);
fileid_id_t fileid_create(FILE *fp);

#endif
